# forwarded message from Stanislav Brabec

David Mosberger-Tang (David.Mosberger@acm.org)
Sun, 19 Dec 1999 16:19:22 -0800

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Ekkard Gerlach: "xscanimage fails starting on device"
- Previous message: David Mosberger-Tang: "forwarded message from Peter Fales"

--XaQdwpUw7X
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

I'm resending this so it can be merged into the CVS tree.

Thanks,

--david

--XaQdwpUw7X
Content-Type: message/rfc822
Content-Transfer-Encoding: 7bit

Return-Path: <utx@k332.feld.cvut.cz>
Received: from mail.acm.org (mail.acm.org [199.222.69.4])
by panda.mostang.com (8.9.3/8.9.3) with ESMTP id BAA23696
for <davidm@mostang.com>; Tue, 7 Dec 1999 01:24:48 -0800
Received: from utx.cz (utx@k332.feld.cvut.cz [147.32.192.12])
by mail.acm.org (8.9.3/8.9.3) with ESMTP id EAA58358
for <david.mosberger@acm.org>; Tue, 7 Dec 1999 04:21:38 -0500
Received: (from root@localhost)
by utx.cz (8.9.3/8.9.3) id KAA03026
for david.mosberger@acm.org; Tue, 7 Dec 1999 10:14:23 +0100
Message-ID: <19991207101422.A2789@utx.cz>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Mailer: Mutt 1.0pre4i
From: Stanislav Brabec <utx@k332.feld.cvut.cz>
To: david.mosberger@acm.org
Subject: sane: xscanimage - patch for latest GIMP
Date: Tue, 7 Dec 1999 10:14:23 +0100

Hallo David Mosberger,

I am sending simple patch for latest (developer/unstable) GIMP to compile xscanimage.
The trouble is trivial: new gimp uses GIMP_EXTENSION, xscanimage also uses
GIMP_EXTENSION in differet meaning. I have renamed it to SANE_GIMP_EXTENSION.
The patch shouldn't break old GIMP and probably needs to be applied for any
future version.

    --
    Stanislav Brabec
    ################
    Build own GNU-Linux / Postavte si GNU-Linux
    http://www.penguin.cz/~utx/build.html ftp://ftp.penguin.cz/pub/users/utx/

    -----------------
    --- sane-1.0.1/frontend/xscanimage.c~	Sat Apr  3 06:07:57 1999
    +++ sane-1.0.1/frontend/xscanimage.c	Fri Dec  3 10:30:15 1999
    @@ -75,7 +75,7 @@

     enum
       {
    -    STANDALONE, GIMP_EXTENSION
    +    STANDALONE, SANE_GIMP_EXTENSION
       };

     static struct
    @@ -301,7 +301,7 @@
       int nargs;

       run_mode = param[0].data.d_int32;
    -  scan_win.mode = GIMP_EXTENSION;
    +  scan_win.mode = SANE_GIMP_EXTENSION;

       *nreturn_vals = 1;
       *return_vals = values;
    @@ -456,7 +456,7 @@
       sane_exit ();
       gtk_main_quit ();
     #ifdef HAVE_LIBGIMP_GIMP_H
    -  if (scan_win.mode == GIMP_EXTENSION)
    +  if (scan_win.mode == SANE_GIMP_EXTENSION)
         gimp_quit ();
     #endif
       exit (0);
    @@ -803,7 +803,7 @@
       gsg_set_sensitivity (dialog, FALSE);

     #ifdef HAVE_LIBGIMP_GIMP_H
    -  if (scan_win.mode == GIMP_EXTENSION && scan_win.tile)
    +  if (scan_win.mode == SANE_GIMP_EXTENSION && scan_win.tile)
         {
           int height, remaining;

    --XaQdwpUw7X--

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

     Next message: Ekkard Gerlach: "xscanimage fails starting on device"
     Previous message: David Mosberger-Tang: "forwarded message from Peter Fales"